Skip to main content
GET
/
v1
/
pages
/
{pageId}
/
contents
List contents for a page
curl --request GET \
  --url https://api.example.com/v1/pages/{pageId}/contents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "assignedTo": {
        "email": "<string>",
        "firstName": "<string>",
        "id": "<string>",
        "lastName": "<string>",
        "profileImageUrl": "<string>"
      },
      "contentScore": 123,
      "contentStatus": {
        "color": "<string>",
        "id": "<string>",
        "isReadOnly": true,
        "label": "<string>",
        "position": 123
      },
      "contentUpdatedAt": "<string>",
      "createdAt": "<string>",
      "dueDate": "<string>",
      "folder": {
        "id": "<string>",
        "name": "<string>"
      },
      "id": "<string>",
      "page": {
        "id": "<string>",
        "lastStatusCode": 123,
        "url": "<string>"
      },
      "publishedAt": "<string>",
      "title": "<string>",
      "type": "DRAFT",
      "updatedAt": "<string>",
      "wordsCount": 123
    }
  ],
  "pagination": {
    "hasMore": true,
    "limit": 123,
    "page": 123,
    "total": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.semji.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key starting with sk_. Generate one in Settings > API Keys.

Path Parameters

pageId
string
required

Page ID.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
page
integer
default:1
Required range: x >= 1

Response

200 - application/json

Default Response

data
object[]
required
pagination
object
required